## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk$set(
    collapse = TRUE,
    comment = "#>", fig.align = "center"
)

## ----eval=FALSE---------------------------------------------------------------
#  BiocManager::install("concordexR")

## ----example------------------------------------------------------------------
library(concordexR)
library(BiocNeighbors)

## -----------------------------------------------------------------------------
g <- findKNN(iris[, seq_len(4)], k = 10)
res <- calculateConcordex(g$index, labels = iris$Species, k = 10, return.map = TRUE)

## -----------------------------------------------------------------------------
plotConcordexSim(res)

## -----------------------------------------------------------------------------
heatConcordex(res)

## -----------------------------------------------------------------------------
sessionInfo()

